

import pyglet
import numpy
import os


def load(file):
    return pyglet.image.load(os.path.join("graphics", file))

#### can't use pyglet.resource because then i can't blit them on other textures
#### don't know why

tileImages = [load("boden.png")]

objectImages = [load("transparent.png"), load("finger.png")]

tiles = numpy.zeros(100, dtype=numpy.int8).reshape(10, 10)

objects = [pyglet.sprite.Sprite(objectImages[1])]


class Map (pyglet.sprite.Sprite):

    def __init__(self, array, images, **kwargs):
        pyglet.sprite.Sprite.__init__(self, pyglet.image.create(1, 1), **kwargs)
        self.scale = 8

        self.array = array
        self.xSize, self.ySize = self.array.shape
        self.images = images

        self.image = pyglet.image.Texture.create(self.xSize*8, self.ySize*8)

        for y in xrange(self.ySize):
            for x in xrange(self.xSize):
                self.image.blit_into(self.images[self.array[x,y]], x*8, y*8, 0)


    def update(self):
        pass