

import pyglet

import levels


pyglet.resource.path = ["graphics"]
pyglet.resource.reindex()


window = pyglet.window.Window(400, 400)

keyHandler = pyglet.window.key.KeyStateHandler()
window.push_handlers(keyHandler)

level = levels.Level(keyHandler)


@window.event
def on_draw():
    pyglet.gl.glTexParameteri(pyglet.gl.GL_TEXTURE_2D, pyglet.gl.GL_TEXTURE_MAG_FILTER, pyglet.gl.GL_NEAREST)
    pyglet.gl.glEnable(pyglet.gl.GL_BLEND)
    pyglet.gl.glBlendFunc(pyglet.gl.GL_SRC_ALPHA, pyglet.gl.GL_ONE_MINUS_SRC_ALPHA)


    window.clear()
    level.draw()


pyglet.clock.schedule_interval(level.update, 1./60)


pyglet.app.run()